Subject: Re: Quagga Segment Routing implementation progress
From: Olivier Dugeon <[email-masked]>
To: David Ahern <[email-masked]>, Roopa Prabhu <[email-masked]>
Cc: Vivek Venkatraman <[email-masked]>, Renato Westphal <[email-masked]>, Donald Sharp <[email-masked]>, Lou Berger <[email-masked]>, Dinesh Dutt <[email-masked]>, Daniel Walton <[email-masked]>, Alistair Woodman <[email-masked]>, Martin Winter <[email-masked]>
Date: Fri, 16 Sep 2016 14:22:43 +0200

Hello David,

It took more time than expected to test your patch.

The good news is that it works perfectly. Third label is left intact and the label stack correctly pushes on top of packet.

We test it up to 8 labels. I recompile the kernel with your patch which set the max label stack to 16, but don't recompile 'ip' command which limit the stack to the old 8 value I set before. But, I think it validates your patch even with this 'ip' command limitation

Thank you very much for your support.

Regards

Olivier

Le 13/09/2016 à 23:50, David Ahern a écrit :
> On 9/13/16 10:36 AM, Olivier Dugeon wrote:
>> Hi David,
>>
>> I would not put any pressure, but as soon s possible will be the best for us. In fact we are preparing a bunch of demos around PCE, OpenDayLight and Segment Routing. So, for the moment we configure compatible label values (i.e. one's which end in 0x03), but if we could have a patch that solve this issue, it will be very good.
> With the attached I can shove 4 labels on the packet at the start and each subsequent hop just pops and forwards. I verified that each hop sees the proper labels in the stack. I know Eric has concerns about performance; we'll address those after it is working.
>
> Let me know if this works for you.